{% extends 'proteins/base.html' %}

{% block content %}

  {% block content_header %}
    <h2>Books</h2>
    <p>
      <a href="{% url 'upload_book' %}" class="btn btn-primary">Upload book</a>
    </p>
  {% endblock %}

  <table class="table mb-0">
    <thead>
      <tr>
        <th>Cover</th>
        <th>Title</th>
        <th>Author</th>
        <th>Download</th>
        <th>Delete</th>
      </tr>
    </thead>
    <tbody>
      {% for book in books %}
        <tr>
          <td>
            {% if book.cover %}
              <img src="{{ book.cover.url }}" alt="{{ book.title }}" style="width:100px;">
            {% else %}
              <span class="text-muted">No cover</span>
            {% endif %}
          </td>
          <td>{{ book.title }}</td>
          <td>{{ book.author }}</td>
          <td>
            <a href="{{ book.pdf.url }}" class="btn btn-primary btn-sm" target="_blank">
              Download PDF
            </a>
           
          </td>
          <td>
            <form method="post" action="{% url 'delete_book' book.pk %}">
              {% csrf_token %}
              <button type="submit" class="btn btn-danger btn-sm">Delete</button>
            </form>
          </td>
        </tr>
      {% endfor %}
    </tbody>
  </table>
{% endblock %}
